Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153186 - Upgrade of Net::DNS and spec file cleanup
Summary: Upgrade of Net::DNS and spec file cleanup
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Net-DNS
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-02 11:24 UTC by Robert Scheck
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-09 10:06:54 UTC


Attachments (Terms of Use)
Diff of spec files (deleted)
2005-04-02 11:25 UTC, Robert Scheck
no flags Details | Diff
filter-requires-dns.sh (deleted)
2005-04-02 11:26 UTC, Robert Scheck
no flags Details
Diff between Core CVS and spec file closer to the template (deleted)
2005-04-02 12:44 UTC, Robert Scheck
no flags Details | Diff
More specfile improvements (deleted)
2005-04-09 09:46 UTC, Ville Skyttä
no flags Details | Diff

Description Robert Scheck 2005-04-02 11:24:22 UTC
Description of problem:
Upgrade of Net::DNS to 0.49 and spec file cleanup.

Version-Release number of selected component (if applicable):
perl-Net-DNS-0.48-3

Actual results / Expected results:
I would suggest the attached changes, review it and decide yourself.

Comment 1 Robert Scheck 2005-04-02 11:25:54 UTC
Created attachment 112610 [details]
Diff of spec files

Comment 2 Robert Scheck 2005-04-02 11:26:54 UTC
Created attachment 112611 [details]
filter-requires-dns.sh

Comment 3 Robert Scheck 2005-04-02 11:29:28 UTC
Sorry Warren, I saw your remove of brp-compress in CVS too late :-(

Comment 4 Warren Togami 2005-04-02 11:35:43 UTC
Please clarify, is there any real benefit to your new filter-requires script
replacement?


Comment 5 Robert Scheck 2005-04-02 11:39:43 UTC
Maybe, there were a few times discussions about having multiple filtering scripts 
with the same file name. I thought with this update, it could also solve one of
the really unimportant problems.

Skip it simply, if you don't agree :)

Comment 6 Warren Togami 2005-04-02 11:53:17 UTC
Two problems...

+ /usr/lib/rpm/redhat/brp-compress
+ /usr/lib/rpm/redhat/brp-strip /usr/bin/strip
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
/usr/bin/strip: unable to copy file
'/usr/src/build/549770-i386/install/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi/auto/Net/DNS/DNS.so'
reason: Permission denied
Processing files: perl-Net-DNS-0.49-1
Executing(%doc): /bin/sh -e /usr/src/build/549770-i386/install-tmp/rpm-tmp.51291


+ cp -pr README /usr/src/build/549770-i386/install/usr/share/doc/perl-Net-DNS-0.49
+ exit 0
error: Couldn't exec /usr/src/build/549770-i386/SOURCES/filter-requires.sh:
Permission denied
error: Couldn't exec /usr/src/build/549770-i386/SOURCES/filter-requires.sh:
Permission denied
error: Couldn't exec /usr/src/build/549770-i386/SOURCES/filter-requires.sh:
Permission denied
error: Couldn't exec /usr/src/build/549770-i386/SOURCES/filter-requires.sh:
Permission denied
error: Couldn't exec /usr/src/build/549770-i386/SOURCES/filter-requires.sh:
Permission denied
error: Couldn't exec /usr/src/build/549770-i386/SOURCES/filter-requires.sh:
Permission denied
getOutputFrom(): Broken pipe
Run finished Sat Apr  2 06:47:30 2005 -0500


Comment 7 Robert Scheck 2005-04-02 12:06:08 UTC
First is a problem of non-root builds: Add "chmod -R u+w $RPM_BUILD_ROOT/*" as 
last line of %install, then it should work. Ville already suggested this solution
in bug #127025 comment #1.

Second is: /usr/src/build/549770-i386/SOURCES/filter-requires.sh has permissions 
644 not 755 or similar :-(

Comment 8 Warren Togami 2005-04-02 12:08:54 UTC
We have NO CONTROL over permissions of files going into the SRPM.  We somehow
avoided this trouble with other packages.  What is different now?

Please consider using this kind of construct for make test in all of your spec
submissions.
%check || :
make test

http://cvs.fedora.us/cgi-bin/cvsweb.cgi/pkg/fedora-rpmdevtools/spectemplate-perl.spec
Bring perl modules closer to the spec template if possible.

Please checkout from Core CVS again and submit another unidiff.  Thank you.

Comment 9 Robert Scheck 2005-04-02 12:44:03 UTC
Created attachment 112617 [details]
Diff between Core CVS and spec file closer to the template

Sorry for the trouble! This really should work now...

Comment 10 Michael Schwendt 2005-04-02 14:14:07 UTC
If you import executable files into cvs, they remain executable, and you can't
change it with the cvs command. Add 'chmod +x %{SOURCE1}' in %prep to work
around insufficient permissions.

Comment 11 Ville Skyttä 2005-04-02 16:08:58 UTC
I suggest taking a look at perl-IPC-Run in Extras CVS, devel branch.  It has a
dep filtering solution that honors the system rpmbuild setup instead of
hardcoding /usr/lib/rpm/find-requires.

I just committed some small improvements to the dep filtering implementation
there, now it no longer sets _use_internal_dependency_generator to 0.

Comment 12 Warren Togami 2005-04-06 10:01:44 UTC
Please submit a new patch against core CVS based on Ville's suggestion on
Comment #11.  Ville is the Fedora perl team technical lead.


Comment 13 Ville Skyttä 2005-04-09 09:46:12 UTC
Created attachment 112908 [details]
More specfile improvements

Here's an alternative approach: the Win32 and Cygwin specific functionality has
been isolated to dedicated modules upstream; excluding them doesn't hurt on
Linux, saves some space and gets rid of the troublesome autodeps too.  Also
included are some other minor fixes.

If this patch is applied, filter-requires.sh can be removed from CVS.  Purists
might say that this patch should also include "ExcludeOS: Win32 Cygwin" or
something, but I'm not losing any sleep over that.

Comment 14 Warren Togami 2005-04-09 10:06:54 UTC
build complete.  I didn't include the more docs.  really trying to prevent any
size growth at all in core.


Note You need to log in before you can comment on or make changes to this bug.